Bug 58400 - RFE: include dimensions for graphics files
RFE: include dimensions for graphics files
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: file (Show other bugs)
7.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-15 17:17 EST by James Manning
Modified: 2007-03-26 23:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-17 16:37:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-01-15 17:17:32 EST
Description of Problem:
This may be a royal PITA, but if it's in the header info like I think it is,
could we get the dimensions into the output of file?

Version-Release number of selected component (if applicable):
file-3.35-2

Actual Results:
jmm@bp6:/home/jmm> file /tmp/cat.jpg
/tmp/cat.jpg: JPEG image data, JFIF standard 1.01, aspect ratio, 1 x 1

Expected Results:
just something that has the dimensions of the image if possible
Comment 1 Trond Eivind Glomsrxd 2002-01-17 15:21:56 EST
Patches accepted :)
Comment 2 James Manning 2002-01-17 16:37:16 EST
I did an rpm -ql ImageMagick|grep bin and noticed "identify" which seems to 
handle this fine.  NOTABUG for this is fine by me, but the code should be easy 
to paste from IM src if you think it's still something file should do.  
either's cool with me, now that I know the proverbial right tool for the job :)

jmm@bp6:/var/www/html/pics/albums/first-snow-2002> identify first-snow_01.jpg
first-snow_01.jpg JPEG 1280x960 DirectClass 8-bit 304kb 0.6u 0:01
Comment 3 James Manning 2002-05-17 12:51:14 EDT
never was really worth it - no need to complicate file when it's not really the
"right tool for the job"

Note You need to log in before you can comment on or make changes to this bug.